GNU bug report logs - #10959
23.3; emacs -nw doesn't always restore the terminal screen

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Vincent Lefevre <vincent@HIDDEN>; merged with #14491, #15013; dated Tue, 6 Mar 2012 15:03:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 10959 14491 15013. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 10959 14491. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 10959 <at> debbugs.gnu.org:


Received: (at 10959) by debbugs.gnu.org; 16 Jun 2012 16:16:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 16 12:16:38 2012
Received: from localhost ([127.0.0.1]:45037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Sfvfw-0008Jd-JO
	for submit <at> debbugs.gnu.org; Sat, 16 Jun 2012 12:16:38 -0400
Received: from vinc17.pck.nerim.net ([213.41.242.187]:55831
	helo=smtp-xvii.vinc17.net) by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <vincent@HIDDEN>) id 1Sfvft-0008JS-7L
	for 10959 <at> debbugs.gnu.org; Sat, 16 Jun 2012 12:16:35 -0400
Received: by xvii.vinc17.org (Postfix, from userid 1000)
	id AC8E031000C; Sat, 16 Jun 2012 18:13:26 +0200 (CEST)
Date: Sat, 16 Jun 2012 18:13:26 +0200
From: Vincent Lefevre <vincent@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Chong Yidong <cyd@HIDDEN>
Subject: Re: bug#10959: 23.3; emacs -nw doesn't always restore the terminal
	screen
Message-ID: <20120616161326.GF4955@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
In-Reply-To: <87y5nn37b4.fsf@HIDDEN>
 <831ulfg0ux.fsf@HIDDEN>
X-Mailer-Info: http://www.vinc17.net/mutt/
User-Agent: Mutt/1.5.21-6205-vl-r52214 (2012-05-24)
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 10959
Cc: 10959 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.4 (/)

On 2012-06-16 10:41:26 +0300, Eli Zaretskii wrote:
> I know very little about this, but here's what I know: this feature
> relies upon the "ti" and "te" terminal capabilities.  We use these
> capabilities in tty_set_terminal_modes and tty_reset_terminal_modes,
> respectively.  In both cases, we output the terminal command only if
> the tty->output FILE stream is non-NULL.  So perhaps some timing
> issues cause tty->output to become NULL before we get to
> tty_reset_terminal_modes, or maybe it is still NULL when we get to
> tty_set_terminal_modes?

Since the bug is not always reproducible, it is likely to be a timing
problem.

> In any case, adding some logs to those places could show if that is
> the problem.

Yes, this would be a good idea.

> Alternatively, could it be a problem with the terminal emulators, not
> in Emacs?

As this problem occurs with 3 different terminal emulators (including
at least 2 very different ones: xterm and gnome-terminal), I doubt
about this.

On 2012-06-16 18:00:31 +0800, Chong Yidong wrote:
> I committed a patch to xterm.el that seems to stop the bug from
> happening with the posted recipe.  It adds a `discard-input' call befor=
e
> doing the xterm Report Background query, as is already done for the
> Device Attributes query earlier in `terminal-init-xterm'.  I am still
> not 100% sure of the chain of effect leading to the bug, though.

I wonder whether this makes the timing problem much less likely
or this is a real fix (there isn't any input from the user). Is
xterm.el also used for gnome-terminal?

Is this related to the following bug?

  http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D11129

--=20
Vincent Lef=E8vre <vincent@HIDDEN> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10959; Package emacs. Full text available.

Message received at 10959 <at> debbugs.gnu.org:


Received: (at 10959) by debbugs.gnu.org; 16 Jun 2012 10:03:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 16 06:03:47 2012
Received: from localhost ([127.0.0.1]:44645 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Sfpr8-0007k9-UP
	for submit <at> debbugs.gnu.org; Sat, 16 Jun 2012 06:03:47 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:60990)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <cyd@HIDDEN>) id 1Sfpr7-0007k2-0E
	for 10959 <at> debbugs.gnu.org; Sat, 16 Jun 2012 06:03:46 -0400
Received: from cm162.gamma80.maxonline.com.sg ([202.156.80.162]:48964
	helo=ulysses)
	by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.71) (envelope-from <cyd@HIDDEN>)
	id 1Sfpo6-0001pr-Ts; Sat, 16 Jun 2012 06:00:39 -0400
From: Chong Yidong <cyd@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#10959: 23.3;
	emacs -nw doesn't always restore the terminal screen
References: <20120306150104.GC3281@HIDDEN>
	<20120322111920.GA20264@HIDDEN>
	<20120615142113.GA24433@HIDDEN>
	<jwvmx43zsb5.fsf-monnier+emacs@HIDDEN> <831ulfg0ux.fsf@HIDDEN>
Date: Sat, 16 Jun 2012 18:00:31 +0800
In-Reply-To: <831ulfg0ux.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 16 Jun
	2012 10:41:26 +0300")
Message-ID: <87y5nn37b4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: 10959
Cc: 10959 <at> debbugs.gnu.org, vincent@HIDDEN,
	Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

I committed a patch to xterm.el that seems to stop the bug from
happening with the posted recipe.  It adds a `discard-input' call before
doing the xterm Report Background query, as is already done for the
Device Attributes query earlier in `terminal-init-xterm'.  I am still
not 100% sure of the chain of effect leading to the bug, though.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10959; Package emacs. Full text available.

Message received at 10959 <at> debbugs.gnu.org:


Received: (at 10959) by debbugs.gnu.org; 16 Jun 2012 07:44:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 16 03:44:30 2012
Received: from localhost ([127.0.0.1]:44549 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SfngM-0004eo-0I
	for submit <at> debbugs.gnu.org; Sat, 16 Jun 2012 03:44:30 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:59538)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1SfngJ-0004eg-VQ
	for 10959 <at> debbugs.gnu.org; Sat, 16 Jun 2012 03:44:29 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0M5P008009CADC00@HIDDEN> for
	10959 <at> debbugs.gnu.org; Sat, 16 Jun 2012 10:41:23 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.210.75]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M5P0073Z9CZZ660@HIDDEN>;
	Sat, 16 Jun 2012 10:41:23 +0300 (IDT)
Date: Sat, 16 Jun 2012 10:41:26 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#10959: 23.3;
	emacs -nw doesn't always restore the terminal screen
In-reply-to: <jwvmx43zsb5.fsf-monnier+emacs@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stefan Monnier <monnier@HIDDEN>
Message-id: <831ulfg0ux.fsf@HIDDEN>
References: <20120306150104.GC3281@HIDDEN>
	<20120322111920.GA20264@HIDDEN>
	<20120615142113.GA24433@HIDDEN>
	<jwvmx43zsb5.fsf-monnier+emacs@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 10959
Cc: 10959 <at> debbugs.gnu.org, vincent@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Stefan Monnier <monnier@HIDDEN>
> Date: Sat, 16 Jun 2012 02:26:41 -0400
> Cc: 10959 <at> debbugs.gnu.org
> 
> >> This problem still occurs with GNU Emacs 23.4.1 from the Debian
> >> package emacs23 23.4+1-2 (tested in xterm).
> > and it still occurs with the official GNU Emacs 24.1.1.
> 
> Thanks for checking and confirming.  I hope someone who actually know
> about such terminal setup/restore will have a chance to look at it.

I know very little about this, but here's what I know: this feature
relies upon the "ti" and "te" terminal capabilities.  We use these
capabilities in tty_set_terminal_modes and tty_reset_terminal_modes,
respectively.  In both cases, we output the terminal command only if
the tty->output FILE stream is non-NULL.  So perhaps some timing
issues cause tty->output to become NULL before we get to
tty_reset_terminal_modes, or maybe it is still NULL when we get to
tty_set_terminal_modes?  In any case, adding some logs to those places
could show if that is the problem.

Alternatively, could it be a problem with the terminal emulators, not
in Emacs?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10959; Package emacs. Full text available.

Message received at 10959 <at> debbugs.gnu.org:


Received: (at 10959) by debbugs.gnu.org; 16 Jun 2012 06:29:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 16 02:29:48 2012
Received: from localhost ([127.0.0.1]:44508 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SfmW4-0002y2-3E
	for submit <at> debbugs.gnu.org; Sat, 16 Jun 2012 02:29:48 -0400
Received: from pruche.dit.umontreal.ca ([132.204.246.22]:39343)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1SfmW1-0002xs-Pm
	for 10959 <at> debbugs.gnu.org; Sat, 16 Jun 2012 02:29:46 -0400
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
	[132.204.27.242])
	by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id q5G6QfdS000509;
	Sat, 16 Jun 2012 02:26:42 -0400
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
	id ADE42AE31D; Sat, 16 Jun 2012 02:26:41 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Vincent Lefevre <vincent@HIDDEN>
Subject: Re: bug#10959: 23.3;
	emacs -nw doesn't always restore the terminal screen
Message-ID: <jwvmx43zsb5.fsf-monnier+emacs@HIDDEN>
References: <20120306150104.GC3281@HIDDEN>
	<20120322111920.GA20264@HIDDEN>
	<20120615142113.GA24433@HIDDEN>
Date: Sat, 16 Jun 2012 02:26:41 -0400
In-Reply-To: <20120615142113.GA24433@HIDDEN> (Vincent Lefevre's
	message of "Fri, 15 Jun 2012 16:21:13 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Level: 
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0.2
X-NAI-Spam-Rules: 2 Rules triggered
	GEN_SPAM_FEATRE=0.2, RV4253=0
X-NAI-Spam-Version: 2.2.0.9309 : core <4253> : streams <769212> : uri <1140529>
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 10959
Cc: 10959 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.5 (---)

>> This problem still occurs with GNU Emacs 23.4.1 from the Debian
>> package emacs23 23.4+1-2 (tested in xterm).
> and it still occurs with the official GNU Emacs 24.1.1.

Thanks for checking and confirming.  I hope someone who actually know
about such terminal setup/restore will have a chance to look at it.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10959; Package emacs. Full text available.

Message received at 10959 <at> debbugs.gnu.org:


Received: (at 10959) by debbugs.gnu.org; 15 Jun 2012 14:24:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 15 10:24:17 2012
Received: from localhost ([127.0.0.1]:44109 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SfXRh-0005qc-6X
	for submit <at> debbugs.gnu.org; Fri, 15 Jun 2012 10:24:17 -0400
Received: from vinc17.pck.nerim.net ([213.41.242.187]:59906
	helo=smtp-xvii.vinc17.net) by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <vincent@HIDDEN>) id 1SfXRe-0005qU-OK
	for 10959 <at> debbugs.gnu.org; Fri, 15 Jun 2012 10:24:16 -0400
Received: by xvii.vinc17.org (Postfix, from userid 1000)
	id EA97431000C; Fri, 15 Jun 2012 16:21:13 +0200 (CEST)
Date: Fri, 15 Jun 2012 16:21:13 +0200
From: Vincent Lefevre <vincent@HIDDEN>
To: 10959 <at> debbugs.gnu.org
Subject: Re: 23.3; emacs -nw doesn't always restore the terminal screen
Message-ID: <20120615142113.GA24433@HIDDEN>
References: <20120306150104.GC3281@HIDDEN>
	<20120322111920.GA20264@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
In-Reply-To: <20120322111920.GA20264@HIDDEN>
X-Mailer-Info: http://www.vinc17.net/mutt/
User-Agent: Mutt/1.5.21-6205-vl-r52214 (2012-05-24)
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 10959
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

On 2012-03-22 12:19:20 +0100, Vincent Lefevre wrote:
> This problem still occurs with GNU Emacs 23.4.1 from the Debian
> package emacs23 23.4+1-2 (tested in xterm).

and it still occurs with the official GNU Emacs 24.1.1.

--=20
Vincent Lef=E8vre <vincent@HIDDEN> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10959; Package emacs. Full text available.

Message received at 10959 <at> debbugs.gnu.org:


Received: (at 10959) by debbugs.gnu.org; 22 Mar 2012 16:09:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 22 12:09:14 2012
Received: from localhost ([127.0.0.1]:33346 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SAkZd-000256-NI
	for submit <at> debbugs.gnu.org; Thu, 22 Mar 2012 12:09:14 -0400
Received: from pruche.dit.umontreal.ca ([132.204.246.22]:51188)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1SAkZb-00024z-Mi
	for 10959 <at> debbugs.gnu.org; Thu, 22 Mar 2012 12:09:12 -0400
Received: from faina.iro.umontreal.ca (lechon.iro.umontreal.ca
	[132.204.27.242])
	by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id q2MFcMY8019462;
	Thu, 22 Mar 2012 11:38:22 -0400
Received: by faina.iro.umontreal.ca (Postfix, from userid 20848)
	id CD6EEB44C1; Thu, 22 Mar 2012 11:38:22 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Vincent Lefevre <vincent@HIDDEN>
Subject: Re: bug#10959: 23.3;
	emacs -nw doesn't always restore the terminal screen
Message-ID: <jwvbono6414.fsf-monnier+emacs@HIDDEN>
References: <20120306150104.GC3281@HIDDEN>
Date: Thu, 22 Mar 2012 11:38:22 -0400
In-Reply-To: <20120306150104.GC3281@HIDDEN> (Vincent Lefevre's
	message of "Tue, 6 Mar 2012 16:01:04 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.94 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV4169=0
X-NAI-Spam-Version: 2.2.0.9309 : core <4169> : streams <740155> : uri <1087839>
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 10959
Cc: 10959 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.5 (---)

> When run in a terminal (at least in xterm, aterm and gnome-terminal),
> emacs doesn't always restore the terminal screen (it remains in the
> alternate screen). This can be reproduced, but not always, with:

>   for i in `seq 1 200`
>   do
>     emacs -Q -nw --eval '(save-buffers-kill-terminal)'
>   done

I can reproduce it here, indeed (also with the current Emacs-24
pretest).  Problem is: I don't know anything about such terminal
initialization, so we need someone who does to help us out,


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10959; Package emacs. Full text available.

Message received at 10959 <at> debbugs.gnu.org:


Received: (at 10959) by debbugs.gnu.org; 22 Mar 2012 11:56:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 22 07:56:27 2012
Received: from localhost ([127.0.0.1]:60682 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SAgcy-0004KO-JY
	for submit <at> debbugs.gnu.org; Thu, 22 Mar 2012 07:56:26 -0400
Received: from vinc17.pck.nerim.net ([213.41.242.187]:63658
	helo=smtp-xvii.vinc17.net) by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <vincent@HIDDEN>) id 1SAgcd-0004Jw-O8
	for 10959 <at> debbugs.gnu.org; Thu, 22 Mar 2012 07:56:23 -0400
Received: by xvii.vinc17.org (Postfix, from userid 1000)
	id 1CB0D31400C; Thu, 22 Mar 2012 12:25:16 +0100 (CET)
Date: Thu, 22 Mar 2012 12:25:16 +0100
From: Vincent Lefevre <vincent@HIDDEN>
To: 10959 <at> debbugs.gnu.org
Subject: Re: 23.3; emacs -nw doesn't always restore the terminal screen
Message-ID: <20120322112515.GA20460@HIDDEN>
References: <20120306150104.GC3281@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
In-Reply-To: <20120306150104.GC3281@HIDDEN>
X-Mailer-Info: http://www.vinc17.net/mutt/
User-Agent: Mutt/1.5.21-6201-vl-r48020 (2011-12-20)
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 10959
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

On 2012-03-06 16:01:04 +0100, Vincent Lefevre wrote:
> When run in a terminal (at least in xterm, aterm and gnome-terminal),
> emacs doesn't always restore the terminal screen (it remains in the
> alternate screen). This can be reproduced, but not always, with:
>=20
>   for i in `seq 1 200`
>   do
>     emacs -Q -nw --eval '(save-buffers-kill-terminal)'
>   done
>=20
> One sees that the screen isn't restored as expected. You can increase
> the number of iterations to have a better chance to reproduce the bug.

This bug might be a consequence of

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=3D646798

but I don't know how to test...

--=20
Vincent Lef=E8vre <vincent@HIDDEN> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10959; Package emacs. Full text available.

Message received at 10959 <at> debbugs.gnu.org:


Received: (at 10959) by debbugs.gnu.org; 22 Mar 2012 11:50:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 22 07:50:13 2012
Received: from localhost ([127.0.0.1]:60678 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SAgWy-0004BR-BF
	for submit <at> debbugs.gnu.org; Thu, 22 Mar 2012 07:50:12 -0400
Received: from vinc17.pck.nerim.net ([213.41.242.187]:63574
	helo=smtp-xvii.vinc17.net) by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <vincent@HIDDEN>) id 1SAgWv-0004BG-5R
	for 10959 <at> debbugs.gnu.org; Thu, 22 Mar 2012 07:50:10 -0400
Received: by xvii.vinc17.org (Postfix, from userid 1000)
	id 8A35031400C; Thu, 22 Mar 2012 12:19:20 +0100 (CET)
Date: Thu, 22 Mar 2012 12:19:20 +0100
From: Vincent Lefevre <vincent@HIDDEN>
To: 10959 <at> debbugs.gnu.org
Subject: Re: 23.3; emacs -nw doesn't always restore the terminal screen
Message-ID: <20120322111920.GA20264@HIDDEN>
References: <20120306150104.GC3281@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
In-Reply-To: <20120306150104.GC3281@HIDDEN>
X-Mailer-Info: http://www.vinc17.net/mutt/
User-Agent: Mutt/1.5.21-6201-vl-r48020 (2011-12-20)
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 10959
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

On 2012-03-06 16:01:04 +0100, Vincent Lefevre wrote:
> When run in a terminal (at least in xterm, aterm and gnome-terminal),
> emacs doesn't always restore the terminal screen (it remains in the
> alternate screen). This can be reproduced, but not always, with:
>=20
>   for i in `seq 1 200`
>   do
>     emacs -Q -nw --eval '(save-buffers-kill-terminal)'
>   done
>=20
> One sees that the screen isn't restored as expected. You can increase
> the number of iterations to have a better chance to reproduce the bug.
[...]

This problem still occurs with GNU Emacs 23.4.1 from the Debian
package emacs23 23.4+1-2 (tested in xterm).

--=20
Vincent Lef=E8vre <vincent@HIDDEN> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10959; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Mar 2012 15:02:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 06 10:02:58 2012
Received: from localhost ([127.0.0.1]:36005 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S4vuk-00085i-43
	for submit <at> debbugs.gnu.org; Tue, 06 Mar 2012 10:02:58 -0500
Received: from eggs.gnu.org ([208.118.235.92]:52832)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <vincent@HIDDEN>) id 1S4vuX-00085H-5K
	for submit <at> debbugs.gnu.org; Tue, 06 Mar 2012 10:02:47 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <vincent@HIDDEN>) id 1S4vtC-0003hC-Tg
	for submit <at> debbugs.gnu.org; Tue, 06 Mar 2012 10:01:51 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:35535)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <vincent@HIDDEN>) id 1S4vtC-0003h8-QO
	for submit <at> debbugs.gnu.org; Tue, 06 Mar 2012 10:01:22 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34264)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <vincent@HIDDEN>) id 1S4vt7-0001Mi-GS
	for bug-gnu-emacs@HIDDEN; Tue, 06 Mar 2012 10:01:22 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <vincent@HIDDEN>) id 1S4vsz-0003fX-24
	for bug-gnu-emacs@HIDDEN; Tue, 06 Mar 2012 10:01:16 -0500
Received: from vinc17.pck.nerim.net ([213.41.242.187]:52497
	helo=smtp-xvii.vinc17.net) by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <vincent@HIDDEN>) id 1S4vsy-0003fN-GS
	for bug-gnu-emacs@HIDDEN; Tue, 06 Mar 2012 10:01:08 -0500
Received: by xvii.vinc17.org (Postfix, from userid 1000)
	id 972E138C14A; Tue,  6 Mar 2012 16:01:04 +0100 (CET)
Date: Tue, 6 Mar 2012 16:01:04 +0100
From: Vincent Lefevre <vincent@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 23.3; emacs -nw doesn't always restore the terminal screen
Message-ID: <20120306150104.GC3281@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Mailer-Info: http://www.vinc17.net/mutt/
User-Agent: Mutt/1.5.21-6201-vl-r48020 (2011-12-20)
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

This bug report will be sent to the Free Software Foundation,
not to your local site managers!
Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your report will be posted to the bug-gnu-emacs@HIDDEN mailing list
and the gnu.emacs.bug news group, and at http://debbugs.gnu.org.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug.  If you can, give
a recipe starting from `emacs -Q':

When run in a terminal (at least in xterm, aterm and gnome-terminal),
emacs doesn't always restore the terminal screen (it remains in the
alternate screen). This can be reproduced, but not always, with:

  for i in `seq 1 200`
  do
    emacs -Q -nw --eval '(save-buffers-kill-terminal)'
  done

One sees that the screen isn't restored as expected. You can increase
the number of iterations to have a better chance to reproduce the bug.

I couldn't reproduce this bug in rxvt-unicode.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/usr/local/emacs-23.3b/share/emacs/23.3/etc/DEBUG.


In GNU Emacs 23.3.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.8)
 of 2011-12-15 on xvii
configured using `configure  '--prefix=/usr/local/emacs-23.3b' '--enable-asserts' '--with-crt-dir=/usr/lib/x86_64-linux-gnu''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: POSIX
  value of $LC_CTYPE: en_US.UTF-8
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: en_DK
  value of $LANG: POSIX
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  display-time-mode: t
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
ESC [ > 0 ; 2 7 6 ; 0 c ESC ] 1 1 ; r g b : 0 0 0 0 
/ 0 0 0 0 / 0 0 0 0 ESC \ C-h C-p C-s a l t e r n a 
C-s C-r C-r C-s C-s C-s C-s ESC O H C-s C-s C-s C-s 
C-s C-s C-s C-s C-s C-s C-s C-s C-s ESC O H C-s t e 
r m i n a l C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s 
C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s 
C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s 
C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s 
C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s 
C-s C-s C-s C-s C-s C-s C-s C-s C-s ESC O H C-s s s 
h C-s C-s C-s C-s C-s C-s C-s C-s ESC O B ESC [ 6 ~ 
ESC [ 6 ~ ESC [ 6 ~ ESC [ 6 ~ q ESC x r e p o TAB r 
t TAB RET

Recent messages:
Note: file is write protected
View mode: type C-h for help, h for commands, q to quit.
Mark saved where search started
Mark set
Mark saved where search started
Mark set
Mark saved where search started
Mark set
Mark saved where search started
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort mail-extr message sendmail ecomplete rfc822 mml mml-sec
password-cache mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231
rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util netrc
time-date mm-util mail-prsvr gmm-utils wid-edit mailheader canlock sha1
hex-util hashcash mail-utils warnings emacsbug help-mode easymenu
multi-isearch goto-addr thingatpt noutline outline easy-mmode view time
cus-start cus-load paren cc-styles cc-align cc-engine cc-vars cc-defs
regexp-opt tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win
x-dnd font-setting tool-bar dnd fontset image fringe lisp-mode register
page menu-bar rfn-eshadow timer select scroll-bar mldrag mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev loaddefs button
minibuffer faces cus-face files text-properties overlay md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind system-font-setting
font-render-setting gtk x-toolkit x multi-tty emacs)




Acknowledgement sent to Vincent Lefevre <vincent@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#10959; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.